#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego KBox"
  info2="Kasowanie KBox"
  info3="Pobieranie nowego KBox"
  info4="Ustawienie uprawnien"
  info5="KBox pobrany !"
  info6="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="KBox is stopping..."
  info2="Deleting KBox"
  info3="Downloading KBox"
  info4="Setting rights"
  info5="KBox downloaded!"
  info6="Installation error!"

elif [ $lang == ar ]; then

  info1="KBox إيقاف"
  info2="KBox حذف"
  info3="KBox تحميل"
  info4="إعطاء التصريح"
  info5="KBox تم تحميل"
  info6="حدثت مشكلة أثناء التنصيب"

elif [ $lang == fr ]; then

  info1="KBox est arrete..."
  info2="supprimer KBox"
  info3="Telechargement de KBox"
  info4="Permission de fichier"
  info5="KBox telecharges!"
  info6="Erreur dans la installation!"
  
elif [ $lang == de ]; then

  info1="Stoppe KBox"
  info2="Losche KBox"
  info3="Lade KBox"
  info4="Attribute werden zugeteilt"
  info5="KBox geladen !"
  info6="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="KBox e' in arresto"
  info2="Eliminazione KBox ..."
  info3="KBox in download..."
  info4="Impostazioni in corso ..."
  info5="KBox scaricato!"
  info6="Errore durante l'installazione!"    

elif [ $lang == es ]; then
  info1="KBox se esta parando..."
  info2="KBox se esta borrando"
  info3="KBox se esta descargando"
  info4="Estableciendo derechos"
  info5="KBox Descargada e Instalada!"
  info6="Error en la instalacion!"
    
fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $emu == kbox ]; then
    echo $info1
    killall -15 kbox 2>/dev/null
    sleep 3
 fi

 if [ -s /var/emu/kbox ] ; then
    echo $info2
    rm /var/emu/kbox 2>/dev/null
    sleep 3
 fi
  
echo $info3
  wget $ADRES/kbox -q -O /var/emu/kbox 2>/dev/null
  sync
sleep 5

 if [ -s /var/emu/kbox ] ; then
    echo $info4
    chmod 755 /var/emu/kbox
    sleep 1
    echo $info5
 else
    echo $info6
 fi

echo ""

exit 0